<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/16/2003 *
 * ===============                              Last change: 07/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-welcome.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Welcome to the login area!                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Willkommen zum Login-Bereich!                    *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif (!IS_MEMBER()) {
	LOAD_URL("modules.php?module=index");
}

// Add description as navigation point
ADD_DESCR ("member", basename(__FILE__));

// Export data for template
define('_LAST_ONLINE_VALUE', MAKE_DATETIME($LAST['online']));
define('_LAST_MODULE_VALUE', GET_MOD_DESCR("member", $LAST['module']));

// Load header template
LOAD_TEMPLATE("member_welcome_header");

// Chedk if he is returning from a profile update notification
$result = SQL_QUERY_ESC("SELECT userid FROM `{!_MYSQL_PREFIX!}_user_data` WHERE notified='Y' AND userid=%s LIMIT 1",
	array($GLOBALS['userid']), __FILE__, __LINE__);

if ((SQL_NUMROWS($result) == 1) && (EXT_IS_ACTIVE("profile"))) {
	// Yes, he is so let's place him his wanted buttons
	LOAD_TEMPLATE("profile-update");
} else {
	// Load the template below this default data
	LOAD_TEMPLATE("member_welcome");
}

// Free memory
SQL_FREERESULT($result);

// Load footer template
LOAD_TEMPLATE("member_welcome_footer");

//
?>
